Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.acme
Class JNDITest

    java.lang.Object
      HttpServlet
          com.acme.JNDITest

    public class JNDITest

extends HttpServlet

JNDITest Use JNDI from within Jetty. Also, use servlet spec 2.5 resource injection and lifecycle callbacks from within the web.xml to set up some of the JNDI resources.

Field Summary
`static String` | `DATE_FORMAT`

Constructor Summary
`JNDITest()`

Method Summary
`void` | `destroy()`
`void` | `doGet(HttpServletRequest request, HttpServletResponse response)`
`void` | `doMail(String mailTo, String mailFrom)`
`void` | `doPost(HttpServletRequest request, HttpServletResponse response)`
`void` | `doTransaction(ServletOutputStream out, boolean doCommit)`
`void` | `init(ServletConfig config)`
`void` | `setMyDatasource(DataSource ds)`
`void` | `setMyDatasource2(DataSource ds)`
`void` | `setMyDatasource99(DataSource ds)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATE_FORMAT

    public static final String DATE_FORMAT

See Also:
  Constant Field Values

Constructor Detail

### JNDITest

    public JNDITest()

Method Detail

### setMyDatasource

    public void setMyDatasource(DataSource ds)

### setMyDatasource2

    public void setMyDatasource2(DataSource ds)

### setMyDatasource99

    public void setMyDatasource99(DataSource ds)

### init

    public void init(ServletConfig config)
              throws ServletException

  Throws:
    `ServletException`

### doPost

    public void doPost(HttpServletRequest request,
                       HttpServletResponse response)
                throws ServletException,
                       IOException

  Throws:
    `ServletException`
    `IOException`

### doGet

    public void doGet(HttpServletRequest request,
                      HttpServletResponse response)
               throws ServletException,
                      IOException

  Throws:
    `ServletException`
    `IOException`

### doMail

    public void doMail(String mailTo,
                       String mailFrom)
                throws Exception

  Throws:
    `Exception`

### doTransaction

    public void doTransaction(ServletOutputStream out,
                              boolean doCommit)
                       throws Exception

  Throws:
    `Exception`

### destroy

    public void destroy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.